#4373 astropy-0.3

Added_to_Fink
closed-accepted
5
2013-12-06
2013-11-26
No

Update to 0.3 for Pythons 2.6-3.3 tested on 10.5+10.8, plus:

  • added Test section
  • explicitly added setuptools-tng to BuildDepends; with no setuptools/distribute installed, setup.py would download an older s'tools version on its own,
    currently there is only a very indirect dependence via numpy->nose->setuptools-tng; but nose is not really required to use numpy, so this seemed safer
  • added sphinx dependency and the documentation build under Python2.x only (tried unsuccessfully to build the docs with sphinx-1.2b3-py33);
    the html docs roughly double the installed size (20+20 MB)
    built with "fink -m update": astropy-py26, astropy-py27, astropy-py31, astropy-py32, astropy-py33
1 Attachments

Discussion

  • Derek Homeier

    Derek Homeier - 2013-11-27

    The release notes indicate it might make sense, though not strictly necessary, to require cfitsio >= 3.35-1 (just submitted as #4375) for this update.

     
  • Sebastien Maret

    Sebastien Maret - 2013-12-06
    • status: open --> closed-accepted
    • Group: Undergoing_Validation --> Added_to_Fink
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks